HITEX(1)

NAME
hitex - HINT output from TeX

SYNOPSIS
hitex [options] [&format] [file|\commands]

DESCRIPTION
Run the HiTeX typesetter on file, usually creating file.hnt. If the file argument has no extension, ".tex" will be appended to it. Instead of a file name, a set of HiTeX commands can be given, the first of which must start with a backslash. With a &format argument HiTeX uses a different set of precompiled commands, contained in format.fmt; it is usually better to use the -fmt format option instead.

HiTeX is a version of TeX that creates HINT files. The HINT file format is designed for on-screen reading of documents. Using a HINT viewer (see https://hint.userweb.mwn.de) to display a HINT file its content will dynamically adapt to the available display area.

The typical use of HiTeX is with pre generated formats. The hitex command uses the equivalent of the plain TeX format, and the hilatex command uses the equivalent of the LaTeX format. To generate formats, use the -ini switch.

HiTeX's handling of its command-line arguments is similar to that of of the other TeX programs in the web2c implementation.

HiTeX incorporates the e-TeX extensions (see etex(1)) if used with the -etex switch.

HiTeX incorporates the extensions needed for LaTeX (see latex(1)) if used with the -ltx switch.

OPTIONS
This version of HiTeX understands the following command line options.

-cnf-line string
    Parse string as a texmf.cnf configuration line. See the Kpathsea manual.

-compress
    Enable the use of compression for the HINT file. Compressed files are smaller but require decompression when viewing. Use only for large files if the file size matters.

-empty-page
    When writing books, often empty pages are inserted - for example to begin chapters on a right hand side page. These empty pages are a nuisance for on-screen reading where there are no left or right hand side pages. This option keeps empty pages in the output.

-no-empty-page
    This option tries to eliminate empty pages in the output. It is set as a default.

-etex
    Enable the e-TeX extensions. This option is only effective in combination with -ini. See etex(1).

-file-line-error
    Print error messages in the form file:line:error which is similar to the way many compilers format them.

-no-file-line-error
    Disable printing error messages in the file:line:error style.

-fmt format
    Use format as the name of the format to be used, instead of the name by which HiTeX was called or a %& line.

-help
    Print help message and exit.

-hint-debug bitmask
    Sets HINT file debugging flags according to the bitmask. See the -hint-debug-help option for details.

-hint-debug-help
    Print an explanation of the HINT debugging flags and exit.

-hyphenate-first-word
    TeX will usually not attempt to insert hyphenation points into the first word of a paragraph. If a HINT file must be displayed on a very small device such hyphenation points might prove necessary. This option is set by default and enables the generation of these hyphenation points.

-no-hyphenate-first-word
    Disable the automatic insertion of hyphenation points in the first word of a paragraph. Needed only if complete compatibility with TeX is required.

-ini
    Start in INI mode, which is used to dump formats. The INI mode can be used for typesetting, but no format is preloaded, and basic initializations like setting catcodes may be required.

-interaction mode
    Sets the interaction mode. The mode can be either batchmode, nonstopmode, scrollmode, and errorstopmode. The meaning of these modes is the same as that of the corresponding \commands.

-jobname name
    Use name for the job name, instead of deriving it from the name of the input file.

-kpathsea-debug bitmask
    Sets path searching debugging flags according to the bitmask. See the Kpathsea manual for details.

-ltx
    Enable the LaTeX extensions. This option is only effective in combination with -ini. See latex(1).

-mfmode mode
    Use mode as the Metafont mode when generating missing fonts. See mf(1) for details.

-mktex fmt
    Enable mktexfmt, where fmt must be either tex, tfm, fmt, or pk.

-no-mktex fmt
    Disable mktexfmt, where fmt must be either tex, tfm, fmt, or pk.

-output-directory directory
    Write output files in directory instead of the current directory. Look up input files in directory first, then along the normal search path.

-parse-first-line
    If the first line of the main input file begins with %& parse it to look for a dump name.

-no-parse-first-line
    Disable parsing of the first line of the main input file.

-progname name
    Pretend to be program name. This affects both the format used and the search paths.

-resolution number
    When using Metafont to generate missing pk fonts, use a resolution of number DPI. See mf(1) for details.

-version
    Print version information and exit.

ENVIRONMENT
See the Kpathsea library documentation (e.g., the `Path specifications' node) for precise details of how the environment variables are used. The kpsewhich utility can be used to query the values of the variables.

One caveat: In most HiTeX formats, you cannot use ~ in a file name you give directly to HiTeX, because ~ is an active character in TeX, and hence is expanded, not taken as part of the file name. Other programs, such as Metafont, do not have this problem.

TEXMFOUTPUT
    Normally, HiTeX puts its output files in the current directory. If any output file cannot be opened there, it tries to open it in the directory specified in the environment variable TEXMFOUTPUT. There is no default value for that variable. For example, if you say hitex paper and the current directory is not writable and TEXMFOUTPUT has the value /tmp, HiTeX attempts to create /tmp/paper.log (and /tmp/paper.hnt, if any output is produced.) TEXMFOUTPUT is also checked for input files, as TeX often generates files that need to be subsequently read; for input, no suffixes (such as ``.tex'') are added by default, the input name is simply checked as given.

TEXINPUTS
    Search path for \input and \openin files. This normally starts with ``.'', so that user files are found before system files. An empty path component will be replaced with the paths defined in the texmf.cnf file. For example, set TEXINPUTS to ".:/home/user/tex:" to prepend the current directory and ``/home/user/tex'' to the standard search path.

TEXFORMATS
    Search path for format files.

TFMFONTS
    Search path for font metric (.tfm) files.

SOURCE_DATE_EPOCH
    If set, its value, taken to be in epoch-seconds, will be used for the creation date and as the reference moment for the time related primitives of LaTeX. This is useful for making reproducible builds.

FORCE_SOURCE_DATE
    If set to the value "1", the time-related TeX primitives (\year, \month, \day, \time) are also initialized from the value of SOURCE_DATE_EPOCH. This is not recommended if there is any viable alternative.

Many, many more environment variables may be consulted related to path searching. See the Kpathsea manual.

FILES
The location of the files mentioned below varies from system to system. Use the kpsewhich utility to find their locations.

*.tfm
    Metric files for HiTeX's fonts.

*.fmt
    Predigested HiTeX format files.

*.pk *.pfb
    Font files used by HiTeX.

NOTES
This manual page is not meant to be exhaustive. The complete documentation for HiTeX can be found in the HiTeX user manual Further information can be found in the manual of the Kpathsea library and in HINT: The file format which is available as a book or in electronic form from the HINT project home page at https://hint.userweb.mwn.de.

BUGS
This version of HiTeX fails to handle correctly glues and kerns with a width that depends on \hsize or \vsize. Similarly, when the layout of table entries or mathematical formulas depends on \hsize or \vsize their output might be distorted.

AVAILABILITY
HiTeX should compile on a large variety of machine architectures and operating systems. HiTeX is part of the TeX Live distribution.

The HiTeX home page is at https://hint.userweb.mwn.de. There you find additional software, most importantly viewers for HINT files, and further information.

SEE ALSO
histretch(1), hishrink(1), latex(1), tex(1), kpsewhich(1),

AUTHORS
The primary author of HiTeX is Martin Ruckert, with eTeX extensions by Peter Breitenlohner, LaTeX extensions by Thierry Laronde, and the kpathsearch library by Karl Berry.

TeX was designed by Donald E. Knuth, who implemented it using his Web system for Pascal programs.

Many, many more contributed to the typesetting system now known as TeX; far too many to name all of them here.